PHPExcel_Cell

# Class: PHPExcel_Cell_Hyperlink

Source Location: /PHPExcel/Cell/Hyperlink.php

### Class Overview

PHPExcel_Cell_Hyperlink

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getHashCode
- getTooltip
- getUrl
- isInternal
- setTooltip
- setUrl

### Class Details

[line 36]
PHPExcel_Cell_Hyperlink

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 59]

`PHPExcel_Cell_Hyperlink __construct( [string $pUrl = ''], [string $pTooltip = ''])`

Create a new PHPExcel_Cell_Hyperlink

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pUrl | Url to link the cell to
string | $pTooltip | Tooltip to display on the hyperlink

[ Top ]

### method getHashCode [line 120]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

[ Top ]

### method getTooltip [line 91]

`string getTooltip( )`

Get tooltip

#### Tags:

access: | public

[ Top ]

### method getUrl [line 71]

`string getUrl( )`

Get URL

#### Tags:

access: | public

[ Top ]

### method isInternal [line 111]

`boolean isInternal( )`

Is this hyperlink internal? (to another sheet)

#### Tags:

access: | public

[ Top ]

### method setTooltip [line 101]

`PHPExcel_Cell_Hyperlink setTooltip( [string $value = ''])`

Set tooltip

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setUrl [line 81]

`PHPExcel_Cell_Hyperlink setUrl( [string $value = ''])`

Set URL

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:29 +0200 by phpDocumentor 1.4.4